GET /trade/v1/info/tx/{txHash}

Get information of a cross chain trade given a transaction hash (it has to be the transaction hash on the origin chain)

Get information of a cross chain trade

get
Authorizations
HTTPRequired

[just text field] Please enter token in following format: Bearer

Path parameters
txHashstringRequired

Transaction hash of the trade.

Example: 0xce73f64f469f91ddf708ce5c5a0ae464c162f1e7b3415187fe8572212a56ed07
Responses
chevron-right
200

Get information of a cross chain trade

application/json
srcTxHashobjectRequired

The transaction hash in the origin chain

Example: 0xce73f64f469f91ddf708ce5c5a0ae464c162f1e7b3415187fe8572212a56ed07
dstTxHashobjectRequired

The transaction hash in the destination chain

Example: 0xce73f64f469f91ddf708ce5c5a0ae464c162f1e7b3415187fe8572212a56ed07
srcChainIdobjectRequired

Chain id of the origin chain

Example: 109
dstChainIdobjectRequired

Chain id of the destination chain

Example: 102
statusobjectRequired

Status of the trade

Example: DELIVERED
tradeProtocolstringRequired

The protocol used to execute the trade

stargateAdditionalInfoobjectOptional

Additional information for Stargate trade, if this transaction trade on Stargate

celerAdditionalInfoobjectOptional

Additional information for Celer trade, if this transaction trade on Celer

debridgeAdditionalInfoobjectOptional

Additional information for DeBridge trade, if this transaction trade on DeBridge

receivedDifferentTokensbooleanRequired

if the user has received another token on the destination chain, different from the request one

Example: false
providerInfoobjectRequired

The interoperability provider information

Example: {"name":"Celer","contractVersion":"v2","logo":"https://api.zcx.com/data/logo/interoperability-provider/cbridge.svg"}
get
/v1/info/tx/{txHash}
200

Get information of a cross chain trade

Last updated